Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

MVCEvents.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\MVC\Symfony;
8
9 final class MVCEvents
10 {
17 const SITEACCESS = 'ezpublish.siteaccess';
18
27 const PRE_CONTENT_VIEW = 'ezpublish.pre_content_view';
28
36 const API_CONTENT_EXCEPTION = 'ezpublish.api.contentException';
37
46 const API_SIGNAL = 'ezpublish.api.signal';
47
53 const CONFIG_SCOPE_CHANGE = 'ezpublish.config.scope_change';
54
61 const CONFIG_SCOPE_RESTORE = 'ezpublish.config.scope_restore';
62
69 const INTERACTIVE_LOGIN = 'ezpublish.security.interactive_login';
70
77 const ROUTE_REFERENCE_GENERATION = 'ezpublish.routing.reference_generation';
78
87 const CACHE_CLEAR_CONTENT = 'ezpublish.cache_clear.content';
88
97 const CONSOLE_INIT = 'ezpublish.console.init';
98 }
eZ\Publish\Core\MVC\Symfony\MVCEvents
Definition: MVCEvents.php:10
eZ\Publish\Core\MVC\Symfony\MVCEvents\ROUTE_REFERENCE_GENERATION
const ROUTE_REFERENCE_GENERATION
ROUTE_REFERENCE_GENERATION event occurs when a RouteReference is generated, and gives an opportunity ...
Definition: MVCEvents.php:77
eZ\Publish\Core\MVC\Symfony\MVCEvents\CONFIG_SCOPE_RESTORE
const CONFIG_SCOPE_RESTORE
CONFIG_SCOPE_RESTORE event occurs when original configuration scope is restored.
Definition: MVCEvents.php:61
eZ\Publish\Core\MVC\Symfony\MVCEvents\INTERACTIVE_LOGIN
const INTERACTIVE_LOGIN
INTERACTIVE_LOGIN event occurs when a user has been authenticated by a foreign user provider.
Definition: MVCEvents.php:69
eZ\Publish\Core\MVC\Symfony\MVCEvents\API_CONTENT_EXCEPTION
const API_CONTENT_EXCEPTION
The API_CONTENT_EXCEPTION event occurs when the API throws an exception that could not be caught inte...
Definition: MVCEvents.php:36
eZ\Publish\Core\MVC\Symfony\MVCEvents\CONSOLE_INIT
const CONSOLE_INIT
The CONSOLE_INIT event allows you to attach listeners before any command is loaded by the console.
Definition: MVCEvents.php:97
eZ\Publish\Core\MVC\Symfony\MVCEvents\CACHE_CLEAR_CONTENT
const CACHE_CLEAR_CONTENT
CACHE_CLEAR_CONTENT event occurs when cache needs to be cleared for a content.
Definition: MVCEvents.php:87
eZ\Publish\Core\MVC\Symfony\MVCEvents\SITEACCESS
const SITEACCESS
The SITEACCESS event occurs after the SiteAccess matching has occurred.
Definition: MVCEvents.php:17
eZ\Publish\Core\MVC\Symfony\MVCEvents\API_SIGNAL
const API_SIGNAL
The API_SIGNAL event occurs when the SignalSlot repository services emit a signal.
Definition: MVCEvents.php:46
eZ\Publish\Core\MVC\Symfony\MVCEvents\PRE_CONTENT_VIEW
const PRE_CONTENT_VIEW
The PRE_CONTENT_VIEW event occurs right before a view is rendered for a content, via the content view...
Definition: MVCEvents.php:27
eZ\Publish\Core\MVC\Symfony\MVCEvents\CONFIG_SCOPE_CHANGE
const CONFIG_SCOPE_CHANGE
CONFIG_SCOPE_CHANGE event occurs when configuration scope is changed (e.g.
Definition: MVCEvents.php:53
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.